#!/bin/sh
#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#*******************************************************************************
# *
# * This shell script can be used to run the Build Forge Agent for
# * Rational Team Concert Builds, Packagings, & Deployments.
# *
# * This agent remains active until stopped
# *
# * Change the following to suit your installation requirements:
# *
# * @pathPrefix@
# *                - Directory path to prefix the jazz directory.
# *
# * @javaPath@
# *                - Directory path of JDK 5 or newer
# *
# * @yourUserid@
# *                - Your Jazz Userid.
# *
# * @yourPasswordFile@
# *                - Your Jazz Password File as defined by the
# *                  BLZBPASS Job.
# *
# * @bfaBinPath@
# *                - Directory path to Build Forge Agent executable
# *                  directory.
# *
# * @bfaConfPath@
# *                - Directory path to Build Forge Agent configuration
# *                  file directory.
# *
# *********************************************************************

BLD_SYSTEM=/opt/IBM/TeamConcertBuild/buildsystem
export BLD_SYSTEM

export BLD_TOOLKIT="${BLD_SYSTEM}"/buildtoolkit

export JAVA_HOME=/opt/IBM/TeamConcertBuild/jre

export JAZZ_USER=@yourUserid@
export JAZZ_PASSWORD_FILE=@yourPasswordFile@

ANT_HOME="${BLD_SYSTEM}"/buildengine/eclipse
ANT_HOME="${ANT_HOME}"/plugins/org.apache.ant_1.7.1.v20090120-1145
export ANT_HOME

JBE_COMMAND="${BLD_SYSTEM}"/buildengine/eclipse/jbe.sh
export JBE_COMMAND

export IBM_BUILD_STATUS_DIR=./
export COBOPT="COMPILE,TEST,ADATA,EXIT(ADEXIT(CBLERREX))"
LIBPATH="${BLD_TOOLKIT}"/cobol_exit_program:$LIBPATH
export LIBPATH

# Run The Agent
/opt/IBM/TeamConcertBuild/buildsystem/buildagent/bfagent -s -f /opt/IBM/TeamConcertBuild/buildsystem/buildagent/bfagent.conf
